dpkg_1.19.6ubuntu1.1_amd64.deb


Advertisement

Description

dpkg - Debian package management system

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Updates Main amd64
Package filename dpkg_1.19.6ubuntu1.1_amd64.deb
Package name dpkg
Package version 1.19.6ubuntu1.1
Package release -
Package architecture amd64
Package type deb
Category admin
Homepage https://wiki.debian.org/Teams/Dpkg
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.08 MB
Installed size 6.54 MB
This package provides the low-level infrastructure for handling the
installation and removal of Debian software packages.
For Debian package development tools, install dpkg-dev.

Alternatives

Package Version Architecture Repository
dpkg_1.19.6ubuntu1.2_amd64.deb 1.19.6ubuntu1.2 amd64 Ubuntu Proposed Main
dpkg_1.19.6ubuntu1.2_i386.deb 1.19.6ubuntu1.2 i386 Ubuntu Proposed Main
dpkg_1.19.6ubuntu1.1_i386.deb 1.19.6ubuntu1.1 i386 Ubuntu Updates Main
dpkg_1.19.6ubuntu1_i386.deb 1.19.6ubuntu1 i386 Ubuntu Main
dpkg_1.19.6ubuntu1_amd64.deb 1.19.6ubuntu1 amd64 Ubuntu Main
dpkg - - -

Requires

Name Value
libbz2-1.0 -
libc6 >= 2.15
liblzma5 >= 5.2.2
libselinux1 >= 2.3
libzstd1 >= 1.3.2
tar >= 1.28-1
zlib1g >= 1:1.1.4

Download

Type URL
Mirror archive.ubuntu.com
Binary Package dpkg_1.19.6ubuntu1.1_amd64.deb
Source Package dpkg

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install dpkg deb package:
    # sudo apt-get install dpkg

Changelog

2019-07-16 - Julian Andres Klode <juliank@ubuntu.com>
dpkg (1.19.6ubuntu1.1) disco; urgency=medium
* Cherry-pick upstream fix for trigger loops (LP: #1828639):
- dpkg: Split the trigger dependtry into two, the second of which will be
the one checking trigger cycles when deferring trigger processing due to
unsatisfiable dependencies. Closes: #928429
2019-04-02 - Adam Conrad <adconrad@ubuntu.com>
dpkg (1.19.6ubuntu1) disco; urgency=medium
* Merge from current Debian testing; remaining Ubuntu changes:
- Change native source version/format mismatch errors into warnings
until the dust settles on Debian bug 737634 about override options.
- Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
tools can get untranslated dpkg terminal log messages while at the
same time having translated debconf prompts.
- Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
- Map unqualified package names of multiarch-same packages to the native
arch instead of throwing an error, so that we don't break on upgrade
when there are unqualified names stored in the dpkg trigger database.
- Apply a workaround from mvo to consider ^rc packages as multiarch,
during the dpkg consistency checks. (see LP: 1015567 and 1057367).
- dpkg-gencontrol: Fix Package-Type override handling for ddeb support.
- Add Zstd compression and decompression support for binary packages.
2019-03-25 - Guillem Jover <guillem@debian.org>
dpkg (1.19.6) unstable; urgency=medium
[ Guillem Jover ]
* libdpkg: Add a new TAR_FORMAT_UNKNOWN enum value.
* libdpkg: Set tar_entry to zero on tar_entry_destroy(), to avoid double
free()s and the subsequent crashes.
* libdpkg: Handle non end-of-tape errors from tar_header_decode().
* libdpkg: Use ERANGE instead of EINVAL for tar_atol8() out-of-range error.
* dpkg-gencontrol: Check presence of package build dir before traversing it.
* Perl modules:
- Dpkg::Source::Package::V1: Change default build option style to -sa.
Using -sA by default means the user might lose data on overwrite if
there is already a directory with the same name laying around.
Closes: #910737
- Dpkg::Source::Package: Handle Format field being undefined. On source
format 1.0, the default is for the debian/source/format file not being
present, which means we'll start with an empty Format field name.
Regression introduced in dpkg 1.19.3.
* Packaging:
- Update usertags.
- Install a lintian profile for dpkg based on the debian profile, so that
we can suppress Debian-specific tags, such as the controversial one on
vendor-specific patch series files.
- Add Breaks on lsb-base due to start-stop-daemon exposing breakage in
the killproc function from /lib/lsb/init-functions. Closes: #923861
* Test suite:
- Stop requiring (pseudo-)root in the functional test suite.
- Export and move TESTDATA definition close to the PATH definition.
- Quote the 'yes' command to make a comment clearer.
[ Updated programs translations ]
* Dutch (Frans Spiesschaert). Closes: #924776
[ Updated scripts translations ]
* German (Helge Kreutzmann).
[ Updated man pages translations ]
* Dutch (Frans Spiesschaert). Closes: #924777
* German (Helge Kreutzmann).

See Also

Package Description
dselect_1.19.6ubuntu1.1_amd64.deb Debian package management front-end
e2fslibs-dev_1.44.6-1ubuntu0.1_all.deb transitional package
e2fslibs_1.44.6-1ubuntu0.1_amd64.deb transitional package
e2fsprogs-l10n_1.44.6-1ubuntu0.1_all.deb ext2/ext3/ext4 file system utilities - translations
e2fsprogs_1.44.6-1ubuntu0.1_amd64.deb ext2/ext3/ext4 file system utilities
ec2-hibinit-agent_1.0.0-0ubuntu4.19.04.2_all.deb Amazon EC2 hibernation agent
evince-common_3.32.0-1ubuntu0.1_all.deb Document (PostScript, PDF) viewer - common files
evince_3.32.0-1ubuntu0.1_amd64.deb Document (PostScript, PDF) viewer
exim4-base_4.92-4ubuntu1.4_amd64.deb support files for all Exim MTA (v4) packages
exim4-config_4.92-4ubuntu1.4_all.deb configuration for the Exim MTA (v4)
exim4-daemon-heavy_4.92-4ubuntu1.4_amd64.deb Exim MTA (v4) daemon with extended features, including exiscan-acl
exim4-daemon-light_4.92-4ubuntu1.4_amd64.deb lightweight Exim MTA (v4) daemon
exim4-dev_4.92-4ubuntu1.4_amd64.deb header files for the Exim MTA (v4) packages
exim4_4.92-4ubuntu1.4_all.deb metapackage to ease Exim MTA (v4) installation
fdisk_2.33.1-0.1ubuntu3_amd64.deb collection of partitioning utilities
Advertisement
Advertisement